Overview
GET
/integration/integration-pagesintegrationList integration_pages
List integration-pages.
Auth: bearerAuth — calls run as the authenticated user.
Responses
200
List
- idstring
- customerIdstring
- deletedAtstring?
- ecosystemIdstring
- connectionIdstring
- externalIdstring
- titlestring
- objectTypestring
- urlstring?
- iconstring?
- parentTypestring?
- parentIdstring?
- isArchivedboolean
- lastEditedAtstring?
- isDeletedboolean
- syncVersioninteger
- createdAtstring
- updatedAtstring
Example
[
{
"id": "string",
"customerId": "string",
"deletedAt": "string",
"ecosystemId": "string",
"connectionId": "string",
"externalId": "string",
"title": "string",
"objectType": "string",
"url": "string",
"icon": "string",
"parentType": "string",
"parentId": "string",
"isArchived": true,
"lastEditedAt": "string",
"isDeleted": true,
"syncVersion": 0,
"createdAt": "string",
"updatedAt": "string"
}
]401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/integration/integration-pages" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/integration/integration-pages", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();